import { Count, Filter, FilterExcludingWhere, Where } from '@loopback/repository';
import { FurnishingtypeMaster } from '../models';
import { FurnishingtypeMasterRepository } from '../repositories';
export declare class FurnishingtypemasterController {
    furnishingtypeMasterRepository: FurnishingtypeMasterRepository;
    constructor(furnishingtypeMasterRepository: FurnishingtypeMasterRepository);
    create(furnishingtypeMaster: Omit<FurnishingtypeMaster, 'furnishingtypeId	'>): Promise<FurnishingtypeMaster>;
    count(where?: Where<FurnishingtypeMaster>): Promise<Count>;
    find(filter?: Filter<FurnishingtypeMaster>): Promise<FurnishingtypeMaster[]>;
    updateAll(furnishingtypeMaster: FurnishingtypeMaster, where?: Where<FurnishingtypeMaster>): Promise<Count>;
    findById(id: number, filter?: FilterExcludingWhere<FurnishingtypeMaster>): Promise<FurnishingtypeMaster>;
    updateById(id: number, furnishingtypeMaster: FurnishingtypeMaster): Promise<void>;
    replaceById(id: number, furnishingtypeMaster: FurnishingtypeMaster): Promise<void>;
    deleteById(id: number): Promise<void>;
}
